Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 30 Jul 2014, 05:16
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
How to install wikidpad from source?
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [4 Posts]  
Author Message
TJK

Joined: 19 Feb 2008
Posts: 27
Location: near Victoria, BC, Canada

PostPosted: Fri 29 Feb 2008, 23:35    Post subject:  How to install wikidpad from source?
Subject description: (Or would someone compile it for me?)
 

I'm new to Puppy, so I don't know if it's possible to easily modify a source package to pup format... because I've been hoping to install wikidpad in my Puppy driven laptop.

If someone knows where I could get an already pup formated wikidpad or if some is willing to compile a package for me, I would like to hear from you. Thanks.
Back to top
View user's profile Send private message 
greyindk

Joined: 01 Mar 2008
Posts: 2

PostPosted: Sat 01 Mar 2008, 14:33    Post subject: Re: How to install wikidpad from source?
Subject description: try this
 

[quote="TJK"]I'm new to Puppy"
So am I.


Wkidpad is a python-appz using wxpython as gui,
so you need python and wxpython to run WikidPad.

No compile needed.

IMHO: WikidPad is the best notetaking tool I have found
through the years.Its mostly known in the backslash-
world,but occasionally its mentioned in a linux-context.
The DIY-folks around here should really take a look,
if they are into customized notetaking,todo-tracking,
snippets or publishing.

That was the ranting.

I have played around with WikidPad a couple of days last week,
and all the newest versions t installed in puppy 3.01 -
except for version 1.9.15RC.

So if you dont have a preferred version,try 1.9.14RC,for now.
The developer introduced internationalization in
version 1.9.15RC - and I guess - that puppy may have a problem
with locales that does not go well with utf8,locales in python.
But I dont have a definite take on that problem yet.

As far as I remeber - do this:
Get the source for WikidPad 1.9.14RC

Go to linuxpackages.net and get the latest
python 2.5
wxpython 2.8 (?)
from the slackware 12 repository if possible.

On extraction the downloaded packages will be distributed
as dirs and files in the puppy-filesystem.

Extract the wikidpad-source to:
/usr/lib/python2.5/site-packages/WikidPad
open a terminal in the WikidPad-directory and type:
"python WikidPad.py" (no quotes)
or create a shellscipt containing this line (no quotes):
python /usr/lib/python2.5/WikidPad/WikidPad.py
(note the capital W and P)

This should work.

If the instructions are inadequate, let me know -
and I will take a second look at the details .
You will - most likely - be up and running.


Anyway - considering the flexibility of both puppy and WikidPad -
I´m very interested in your setup and how you use WikidPad.
So feel free to share.

Good luck.
Back to top
View user's profile Send private message 
charlie6

Joined: 30 Jun 2008
Posts: 992
Location: South of Belgium

PostPosted: Wed 15 Oct 2008, 03:15    Post subject:  

Hi greyindk,
Also new to puppy (most exactly to ToutouLinux03.01.4, the french translation of Puppy)
For doing this
Code:
Extract the wikidpad-source to:
/usr/lib/python2.5/site-packages/WikidPad

am I expected to have created the WikiPad directory first: moving to
"/usr/lib/python2.5/site-packages"
and there
"mkdir WikiPad"
(without quotes!)

On Toutou, Python 2.4 already exists. Can or may the installation of Python2.5 causes conflict version problems?

Kind regards

Charlie
Back to top
View user's profile Send private message 
roborob

Joined: 26 May 2010
Posts: 5

PostPosted: Wed 26 May 2010, 17:13    Post subject:  

ignore this. sorry.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [4 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0494s ][ Queries: 11 (0.0056s) ][ GZIP on ]